Application: gvSIG desktop - gvSIG bugs #3431
Revision de cadenas de traducciones
04/30/2015 01:10 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Mario Carrera

Category: Usability

Target version: 2.3.0-2411 (rev. org.gvsig.desktop-2.0.11B)

Severity: Minor Add-on version:

gvSIG version: 2.2.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Cosas a revisar en las traducciones, aportadas por Piotr Pachol:

Es imposible de traducir:
Menu: Selection/_Select by attributes (_Selection_by_attributes)
Menu: Layer/ Attribute editor
Menu View/ Map Sheets - todos los elementos de menu interior

/ Add layer/ GeoDB/ Advanced - con todos los elementos interior
Menu Portable View - con todos los elementos de menu interior
Menu Tools/ Symbols /Create_package

/ Development - con todos los elementos de menu interior

/ Scripting - con todos los elementos de menu interior
"Comenzar" en Annotation dialogo
"Save in", "File of type", "File Name", "Save", "Cancel" - en Save As dialogo
"Open", "Look in" en Add File dialogo

Es imposible de traducir - abajo ejemplos de cadenas vinculado con geoprocessing :
Intersection_line
Intersection_polygon
XYShift_polygon
XYShift_line
XYShift_point
Difference_polygon
Difference_line
Difference_point
Benchmarking
Primera_capa
Segunda_capa
Capa_union
Polygons_layer
Capa_ajuste
Field_length
Breakpoints
Capa_transformada

Algunas cadenas estan traducidos pero la traduccién no funciona, por ejemplo:
_Use_cache_for CRSs
install_package
create_package
_Select by attributes
_Select by circle

Hay cadenas que en mi opinion no es valido por ejemplo:
Esta: "Area defined by a distance in meters" - Deberia ser: "Constant distance in meters"
Esta: "Area defined by a field in meters" - Deberia ser: "Field for defining distance in meters”

History

#1 - 05/28/2015 09:58 AM - Mario Carrera

Otras correcciones:

Es imposible de traducir al polaco cadenas de menu principal de gvSIG:

Menu Tools/ Scripting - todos los elementos de menu interior (esta correcto en interfaz ingles, no correcto o no traducido en interfaz espanol)

Menu View/ Add layer/ GeoDB/ Advanced - con todos los elementos interior (esta correcto en interfaz ingles, no correcto o no traducido en interfaz
espanol)

Menu Layer/Export to annotation - en Annotation dialogo:
~Annotation” (esta correcto en interfaz ingles, no correcto o no traducido en interfaz espanol), ,Comenzar” (esta correcto en interfaz espanol, no

correcto o no traducido en interfaz ingles)

Archivo/Abrir proyecto: Buscar en, Nombre de archivo, Archivos de tipo
Archivo/Guardar proyecto: Guardar en, Nombre de archivo, Achivos de tipo
Archivo/Abrir WMC: Buscar en, Nombre de archivo, Archivos de tipo

Es imposible de traducir - abajo ejemplos de cadenas vinculado con geoprocessing :

En geoproceso buffer, dissolve o otros (geoprocesos gvSIG): ,Vectorial”’

En geoproceso intesection (geoprocesos gvSIG): ,Intersection_line”, ,Intersection_polygon”

En geoproceso difference (geoprocesos gvSIG): ,Difference_line”, ,Difference_polygon”, ,Difference_point”
En geoproceso X and Y shift (geoprocesos gvSIG): ,XYShift_polygon”, ,XYShift_line”, ,XYShift_point”

En geoproceso Split lines (geoprocesos gvSIG): ,SplitLines_line”

En geoproceso Group by a field (geoprocesos gvSIG): ,GroupBy”

En geoproceso Reproject (geoprocesos gvSIG): ,current_proj”

En geoproceso Clip (geoprocesos gvSIG): ,Clip_line”, ,Clip_polygon”, ,Clip_point”

En geoproceso Split lines with point layer (geoprocesos Tools for line layers): ,Capa_de lineas”

En geoproceso Symmetric difference (geoprocesos Tools for polygon layers): ,Primera_capa”, ,Segunda_capa”
En geoproceso Union (geoprocesos Tools for polygon layers): ,Capa_union”

En geoproceso Spatial autocorrelation (geoprocesos Tools for points layers): ,Nube_del_variograma”

En geoproceso Snap points to layer (geoprocesos Tools for points layers): ,Capa_ajuste”

En geoproceso Add field (geoprocesos Tools for vector layers): ,Field_length”

En geoproceso Split_field (geoprocesos Tools for vector layers): ,Breakpoints”

En geoproceso Transform (geoprocesos Tools for vector layers): ,Capa_transformada”

#2 - 05/28/2015 10:30 AM - Antonio Falciano

Hi Mario,
the most part of the i18n strings you have reported here are translated yet in Italian and fully working. Consider that I've fixed several i18n strings of
geoprocesses in the past (gvSIG 2.1) and the ltalian properties file is one of the most complete at the moment. Why are some of them impossible to be
translated? Please, use the Italian language for reference in order to check if some string can be translated or not. Cheers.

#3 - 05/28/2015 10:42 AM - Antonio Falciano

Mario, the only i18n strings not translatable at the moment (gvSIG 2.2 RC2) are those of the Scripting plugin. They have been fixed yet in #2651, but
the plugin is not updated yet (#3454). Hope this helps.

#4 - 05/28/2015 10:57 AM - Mario Carrera

Hi Antonio, thank you very much for the information. I've been reviewing the Spanish and English translations from the Italian one that you sent me
during the last days, but | have only been able to review the first 1000 strings more or less. I'll continue but | think | won't be able to finish it before the
final version.

After that I'll review if any of the issues reported by Piotr are pending.

| also would like to have the online tool to translate (launchpad), but we have to test it. At that way it would be easier to check the translations.
Cheers,

Mario

#5 - 11/19/2015 12:21 PM - Alvaro Anguix
- Target version set to 98
- Status changed from New to Fixed

#6 - 12/15/2015 05:01 PM - Joaquin del Cerro Murciano
- Target version changed from 98 to 2.3.0-2411 (rev. org.gvsig.desktop-2.0.116)

#7 - 12/21/2015 12:27 PM - Alvaro Anguix
- Status changed from Fixed to Closed
